<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>LettersDiscountLinesDAO.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.dao.impl</a> &gt; <span class="el_source">LettersDiscountLinesDAO.java</span></div><h1>LettersDiscountLinesDAO.java</h1><pre class="source lang-java linenums">package com.bbva.pzic.listHistoricalLettersSummaries.dao.impl;

import com.bbva.pzic.listHistoricalLettersSummaries.business.dto.DTOIntHistoricalLettersSummariesId;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.ILettersDiscountLinesDAO;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.tx.TxListHistoricalLettersSummaries;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.dto.HistoricalLettersSummaries;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

@Component
<span class="nc" id="L16">public class LettersDiscountLinesDAO implements ILettersDiscountLinesDAO {</span>
<span class="nc" id="L17">    private static final Log LOG = LogFactory.getLog(LettersDiscountLinesDAO.class);</span>

    @Resource(name = &quot;txListHistoricalLettersSummaries&quot;)
    private TxListHistoricalLettersSummaries txListHistoricalLettersSummaries;
    @Override
    public List&lt;HistoricalLettersSummaries&gt; listHistoricalLettersSummaries(DTOIntHistoricalLettersSummariesId input) {
<span class="nc" id="L23">        LOG.info(&quot;... Invoking method LettersDiscountLinesDAO.listHistoricalLettersSummaries ...&quot;);</span>
<span class="nc" id="L24">        return txListHistoricalLettersSummaries.perform(input);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>